#!/usr/bin/env ksh
#
OS=`/csadmin/local/scripts/get_os.share` export OS
if [ "${BLISSADM}" = "" ]; then BLISSADM=~blissadm; fi
dshome="/bliss/users/dserver"

# set up the environment

case "${OS}" in
	hpux102) 
		python_dir="/segfs/bliss/depot/pythonesrf_5.0/${OS}/bin/"
		python_lib="/segfs/bliss/depot/pythonesrf_5.0/${OS}/lib/"
		readline_dir="/opt/readline/lib:/usr/local/lib/"
		dserver_lib="$dshome/lib/hpux10.2"
		SHLIB_PATH=$SHLIB_PATH:$python_lib:$dserver_lib:$readline_dir
		export SHLIB_PATH
		;;
	solaris*)
		python_dir="/segfs/bliss/depot/pythonesrf_5.0/${OS}/bin/"
		python_lib="/segfs/bliss/depot/pythonesrf_5.0/${OS}/lib"
		dserver_lib="$dshome/lib/solaris"
		LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:$dserver_lib:$python_lib
		export LD_LIBRARY_PATH
		;;
	suse*)
		python_dir="/segfs/bliss/depot/pythonesrf_5.0/${OS}/bin/"
		python_lib="/segfs/bliss/depot/pythonesrf_5.0/${OS}/lib"
		dserver_lib="$dshome/lib/linux/x86"
		LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:$dserver_lib:$python_lib
		export LD_LIBRARY_PATH
		;;
	*linux*)
		OS=linux
		python_dir="/segfs/bliss/depot/pythonesrf_5.0/${OS}/bin/"
		python_lib="/segfs/bliss/depot/pythonesrf_5.0/${OS}/lib"
		dserver_lib="$dshome/lib/linux/x86"
		LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:$dserver_lib:$python_lib
		export LD_LIBRARY_PATH
		;;
  *)
    echo "$0: No such architecture available for python ($OS)".
    echo "Exiting."
    exit
esac


if [ -d "$BLISSADM" -a "${PYTHONPATH}" ] ; then 
    PYTHONPATH="${PYTHONPATH:-}:$BLISSADM/modules:$BLISSADM/modules/$OS"
else 
    PYTHONPATH="$BLISSADM/modules:$BLISSADM/modules/$OS"
fi

# search for python modules
if [ "${BLISSADM}" ]; then
  for pthfile in `/bin/ls ${BLISSADM}/modules/*.pth ${BLISSADM}/modules/${OS}/*.pth`
  do
    pthbase=`dirname ${pthfile}`
    for moddir in `cat ${pthfile}`; do
      [ -d "${pthbase}/${moddir}" ] && \
          PYTHONPATH="${PYTHONPATH}:${pthbase}/${moddir}"
    done
  done
fi 

unset dshome pthfile pthbase moddir

PATH="${python_dir}:$PATH"
MANPATH="${python_dir}/man:$MANPATH"
export PATH MANPATH BLISSADM PYTHONPATH

# now see if we need to invoke Python or not...
#
#if [ $# -eq 0 ]; then
#
#	# just vanilla pyton prompt
#	exec python
#
#else
#
#	# okay, let's give all arguments to python
#	# notice: environment is okay! thus python is in the PATH
#	exec python ${1:+"$@"}
#
#fi
